<!--
{
  "availability" : [
    "Search Ads: 5.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "Apple_Ads",
  "identifier" : "/documentation/apple_ads/Search-for-iOS-apps",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Ads"
    ],
    "preciseIdentifier" : "rest:apple_ads:get:v5-search-apps"
  },
  "title" : "Search for iOS apps"
}
-->

# Search for iOS apps

Searches for iOS apps to promote in a campaign.

## Discussion

Use this endpoint to search for iOS apps that you can promote in a campaign. You can use query parameters to fetch data. For more information, see the Use Query Parameters section of [Using Apple Ads API Functionality](/documentation/Apple_Ads/using-apple-search-ads-api-functionality).

An app search returns your `adamId`, which you can use in [`Create a Campaign`](/documentation/apple_ads/Create-a-Campaign) in addition to the `AppDownloaderCriteria` in the [`TargetingDimensions`](/documentation/apple_ads/TargetingDimensions) payload. You can apply targeting dimensions to ad groups using [`Create an Ad Group`](/documentation/apple_ads/Create-an-Ad-Group) or [`Update an Ad Group`](/documentation/apple_ads/Update-an-Ad-Group) endpoints.

![Search for iOS apps workflow. The first box on the left in the flow diagram is the get call URL. The second box is the AppDownloaderCriteria targeting dimension. The third box in the flow diagram specifies to create or update an ad group.](images/com.apple.appleads/media-4452999@2x.png)

### Payload Example: Search for iOS apps

**Request:**

```
GET https://api.searchads.apple.com/api/v5/search/apps?query=apple&limit=1
```

**Response:**

```json
[
  {
    "adamId": 427916203,
    "appName": "Trip Trek example app",
    "developerName": "example Apple developer",
    "countryOrRegionCodes": [
      "FR",
      "DE",
      "US",
      "NO",
      "MX",
      "GB",
      "CA",
      "SE",
      "AU"
    ]
  }
]
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)